Subject: bug#73318: 31.0.50; with-native-compilation=aot breaks exec -a emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Sep 2024 22:31:25 +0300

> From: Ship Mints <[email-masked]>
> Date: Tue, 17 Sep 2024 15:22:18 -0400
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> I think the kind of "unreliability" in question is, for example, when a process starts and unlinks itself. I doubt
> Emacs will ever do this. Using the proc file system is "technically" unreliable, unable to cover 100% of all
> potential cases, but is practically reliable, especially in this case.

I don't remember the details, sorry.  You are welcome to look up the
past discussions in the archives.  I think they were triggered by look
up of the pdumper file, but the results of that are also used by the
code which decides where to look for the *.eln files.